libdap::D4ConstraintEvaluator Class Reference

`#include <D4ConstraintEvaluator.h>`

## Public Member Functions

| D4ConstraintEvaluator (DMR *dmr)
DMR * | dmr () const
bool | parse (const std::string &expr)
bool | result () const
void | set_dmr (DMR *dmr)
void | set_result (bool r)
void | set_trace_parsing (bool tp)
void | set_trace_scanning (bool ts)
bool | trace_parsing () const
bool | trace_scanning () const

## Static Public Member Functions

static void | error (const libdap::location &l, const std::string &m)

## Friends

class | D4CEParser
class | D4ConstraintEvaluatorTest

## Detailed Description

Driver for the DAP4 Constraint Expression parser.

Definition at line 48 of file D4ConstraintEvaluator.h.

## Constructor & Destructor Documentation

## D4ConstraintEvaluator()

libdap::D4ConstraintEvaluator::D4ConstraintEvaluator | ( | DMR * | dmr | ) |

inline explicit

Definition at line 129 of file D4ConstraintEvaluator.h.

## Member Function Documentation

## dmr()

DMR * libdap::D4ConstraintEvaluator::dmr | ( |  | ) | const

inline

Definition at line 144 of file D4ConstraintEvaluator.h.

## error()

void libdap::D4ConstraintEvaluator::error | ( | const libdap::location & | l,
|  | const std::string & | m )

static

Definition at line 473 of file D4ConstraintEvaluator.cc.

## parse()

bool libdap::D4ConstraintEvaluator::parse | ( | const std::string & | expr | ) |

Definition at line 49 of file D4ConstraintEvaluator.cc.

## result()

bool libdap::D4ConstraintEvaluator::result | ( |  | ) | const

inline

Definition at line 141 of file D4ConstraintEvaluator.h.

## set_dmr()

void libdap::D4ConstraintEvaluator::set_dmr | ( | DMR * | dmr | ) |

inline

Definition at line 145 of file D4ConstraintEvaluator.h.

## set_result()

void libdap::D4ConstraintEvaluator::set_result | ( | bool | r | ) |

inline

Definition at line 142 of file D4ConstraintEvaluator.h.

## set_trace_parsing()

void libdap::D4ConstraintEvaluator::set_trace_parsing | ( | bool | tp | ) |

inline

Definition at line 139 of file D4ConstraintEvaluator.h.

## set_trace_scanning()

void libdap::D4ConstraintEvaluator::set_trace_scanning | ( | bool | ts | ) |

inline

Definition at line 136 of file D4ConstraintEvaluator.h.

## trace_parsing()

bool libdap::D4ConstraintEvaluator::trace_parsing | ( |  | ) | const

inline

Definition at line 138 of file D4ConstraintEvaluator.h.

## trace_scanning()

bool libdap::D4ConstraintEvaluator::trace_scanning | ( |  | ) | const

inline

Definition at line 135 of file D4ConstraintEvaluator.h.

## Friends And Related Symbol Documentation

## D4CEParser

friend class D4CEParser

friend

Definition at line 124 of file D4ConstraintEvaluator.h.

## D4ConstraintEvaluatorTest

friend class D4ConstraintEvaluatorTest

friend

Definition at line 125 of file D4ConstraintEvaluator.h.

The documentation for this class was generated from the following files:

- D4ConstraintEvaluator.h
- D4ConstraintEvaluator.cc